Update Provider
curl --request PATCH \
--url https://api.cartesia.ai/agents/phone-numbers/providers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Cartesia-Version: <cartesia-version>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "twilio",
"api_key_sid": "<string>",
"api_key_secret": "<string>",
"region": "us1"
}
'import requests
url = "https://api.cartesia.ai/agents/phone-numbers/providers/{id}"
payload = {
"type": "twilio",
"api_key_sid": "<string>",
"api_key_secret": "<string>",
"region": "us1"
}
headers = {
"Cartesia-Version": "<cartesia-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Cartesia-Version': '<cartesia-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
type: 'twilio',
api_key_sid: '<string>',
api_key_secret: '<string>',
region: 'us1'
})
};
fetch('https://api.cartesia.ai/agents/phone-numbers/providers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "twilio",
"id": "<string>",
"account_sid": "<string>",
"api_key_sid": "<string>",
"region": "us1"
}Providers
プロバイダーを更新
Update a provider’s credentials
PATCH
/
agents
/
phone-numbers
/
providers
/
{id}
Update Provider
承認
Cartesia API key (sk_car_...). Get one at play.cartesia.ai/keys.
ヘッダー
API version header.
利用可能なオプション:
2026-03-01 例:
"2026-03-01"
パスパラメータ
The provider ID.
ボディ
application/json
Request body for updating a provider's credentials. Discriminated by type.
Must be "twilio".
利用可能なオプション:
twilio New Twilio API key SID.
New API key secret.
The Twilio region the phone number and API key are configured for. us1 (US), ie1 (Ireland), au1 (Australia). Default is us1.
利用可能なオプション:
us1, ie1, au1 レスポンス
Provider updated.
A telephony provider account.
Always "twilio".
利用可能なオプション:
twilio Unique identifier for the provider.
The Twilio account SID.
The Twilio API key SID (partially masked).
The Twilio region the phone number and API key are configured for. us1 (US), ie1 (Ireland), au1 (Australia). Default is us1.
利用可能なオプション:
us1, ie1, au1 このページは役に立ちましたか?
⌘I